from collective import dexteritytextindexer
from zope.component import adapts
from zope.interface import implements

from sunpower.poi.content.sunpowerissue import ISunPowerIssue


class SearchableTextExtender(object):
    adapts(ISunPowerIssue)
    implements(dexteritytextindexer.IDynamicTextIndexExtender)

    def __init__(self, context):
        self.context = context

    def __call__(self):
        pas_member = self.context.restrictedTraverse('@@pas_member')
        user_id = self.context.assignee
        return pas_member.info(user_id)['name_or_id']
